/*
 * Mattermost API Reference
 *
 * There is also a work-in-progress [Postman API reference](https://documenter.getpostman.com/view/4508214/RW8FERUn).
 *
 * The version of the OpenAPI document: 4.0.0
 * Contact: feedback@mattermost.com
 * Generated by: https://openapi-generator.tech
 */

/// CreatePlaybookRunFromDialogRequestSubmission : Map of the dialog fields to their values

#[derive(Clone, Debug, PartialEq, Default, serde::Serialize, serde::Deserialize)]
pub struct CreatePlaybookRunFromDialogRequestSubmission {
    /// ID of the playbook to create the playbook run from.
    #[serde(rename = "playbookID")]
    pub playbook_id: String,
    /// The name of the playbook run to be created.
    #[serde(rename = "playbookRunName")]
    pub playbook_run_name: String,
    /// An optional description of the playbook run.
    #[serde(
        rename = "playbookRunDescription",
        skip_serializing_if = "Option::is_none"
    )]
    pub playbook_run_description: Option<String>,
}

impl CreatePlaybookRunFromDialogRequestSubmission {
    /// Map of the dialog fields to their values
    pub fn new(
        playbook_id: String,
        playbook_run_name: String,
    ) -> CreatePlaybookRunFromDialogRequestSubmission {
        CreatePlaybookRunFromDialogRequestSubmission {
            playbook_id,
            playbook_run_name,
            playbook_run_description: None,
        }
    }
}
